Page MenuHomeFreeBSD

Add all py-certbot plugins.
ClosedPublic

Authored by mat on Feb 8 2018, 10:52 AM.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mat created this revision.Feb 8 2018, 10:52 AM
mat updated this revision to Diff 39040.Feb 8 2018, 10:54 AM
  • Add py-certbot-dns-route53, Route53 DNS Authenticator for py-certbot.
mat added subscribers: cpm, koobs, skreuzer.

Add a few individuals for port updates:

  • @skreuzer for www/py-python-digitalocean
  • @koobs for security/py-certbot
  • @cpm for security/py-acme
skreuzer accepted this revision.Feb 8 2018, 4:12 PM

ah sorry. I also had a bugzilla PR assigned me to update this port. I didn't see this diff until after I updated the port.

This revision is now accepted and ready to land.Feb 8 2018, 4:12 PM
cpm accepted this revision.Feb 9 2018, 8:19 PM

@mat

Thanks for working on this!

The ports look good to me. I only have suggestions of COMMENT and pkg-descr. Thanks!

security/py-certbot-apache/Makefile
10 ↗(On Diff #39040)

People should already know what Certbot is when he/she tries to install the plugin port.
Since it's a plugin port, I would suggest to use "Apache plugin for Certbot" from its setup.py.

It also applies to other plugin ports.

security/py-certbot-apache/pkg-descr
1–2 ↗(On Diff #39040)

Can we remove this line?

3–8 ↗(On Diff #39040)

Do we need description of Certbot in the pkg-descr of each plugin ports?
Can we just use "This is the Apache plugin of Certbot (security/py-certbot)" instead?

mat added a comment.Feb 12 2018, 7:02 PM
In D14262#299543, @cpm wrote:

@mat
Thanks for working on this!

Would you mind terribly if py-acme was given to python@ ? So that it is easier to update the whole suite of ports ? (Same question for @koobs and py-certbot)

cpm added a comment.Feb 12 2018, 11:05 PM
In D14262#300439, @mat wrote:
In D14262#299543, @cpm wrote:

@mat
Thanks for working on this!

Would you mind terribly if py-acme was given to python@ ? So that it is easier to update the whole suite of ports ? (Same question for @koobs and py-certbot)

I totally agree. I will drop maintainership for security/py-acme and security/py-josepy ports to give them to python@

This revision was automatically updated to reflect the committed changes.